﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Web.UI;
using GrapeCity.ActiveReports.Export.Pdf.Section;
using GrapeCity.ActiveReports.Samples.Web.Report;

namespace GrapeCity.ActiveReports.Samples.Web
{
    public partial class Download : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            byte[] content;
            IList<int> data = new List<int>();

            for (int i = 0; i < 100; i++)
            {
                data.Add(i);
            }

            using (var report = new SectionReport1())
            {
                report.DataSource = data;

                report.Run();

                using (var reportStream = new MemoryStream())
                {
                    using (var pdf = new PdfExport())
                    {
                        pdf.Export(report.Document, reportStream);
                    }
                    reportStream.Position = 0;
                    content = reportStream.ToArray();
                }
            }

            Response.AddHeader("Content-Type", "application/pdf");
            Response.AddHeader("Content-disposition", "inline");
            Response.BinaryWrite(content);
            Response.End();
        }
	}
}